-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.84-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema squidtl
--

CREATE DATABASE IF NOT EXISTS squidtl;
USE squidtl;
CREATE TABLE  `squidtl`.`DB_Access` (
  `ID` int(11) NOT NULL auto_increment,
  `Src` varchar(30) NOT NULL,
  `Domain` varchar(255) NOT NULL,
  `FullUrl` text NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE  `squidtl`.`DB_Events` (
  `ID` int(11) NOT NULL auto_increment,
  `FilterID` int(11) default NULL,
  `Src` varchar(30) NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE  `squidtl`.`DB_Filter` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` varchar(30) NOT NULL,
  `Value` varchar(255) NOT NULL,
  `Action` varchar(32) NOT NULL,
  `MaxHits` int(11) NOT NULL,
  `TimeSlice` int(11) NOT NULL,
  `redirectUrl` varchar(255) NOT NULL,
  `isActive` tinyint(1) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

INSERT INTO `squidtl`.`DB_Filter` (`ID`,`Type`,`Value`,`Action`,`MaxHits`,`TimeSlice`,`redirectUrl`,`isActive`) VALUES 
  (1,'DOMAIN','facebook','BLOCK',100,60,'http://proxy.sba.unisi.it/deny.php',1);
INSERT INTO `squidtl`.`DB_Filter` (`ID`,`Type`,`Value`,`Action`,`MaxHits`,`TimeSlice`,`redirectUrl`,`isActive`) VALUES 
  (3,'DOMAIN','corriere','BLOCK',100,30,'',1);
INSERT INTO `squidtl`.`DB_Filter` (`ID`,`Type`,`Value`,`Action`,`MaxHits`,`TimeSlice`,`redirectUrl`,`isActive`) VALUES 
  (4,'DOMAIN','repubblica','BLOCK',100,15,'',1);
INSERT INTO `squidtl`.`DB_Filter` (`ID`,`Type`,`Value`,`Action`,`MaxHits`,`TimeSlice`,`redirectUrl`,`isActive`) VALUES 
  (5,'DOMAIN','warez','BLOCK',1,1,'',1);



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
