
jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", ( $(window).height() - this.height() ) / 2+$(window).scrollTop() + "px");
    this.css("left", ( $(window).width() - this.width() ) / 2+$(window).scrollLeft() + "px");
    return this;
}

$(document).ready(function(){
     $("#messageBox").slideDown("slow", function() {
	setTimeout( function() { 
	    $('#messageBox').slideUp(); }, 5000
	)
    });
});

function ajaxActivateRule(RuleID,isActive,container) {
    $(container).fadeOut(200)
    $.ajax({
	type : 'POST',
	url : '/ajaxCb.php',
	data: 'action=activateRule&ID='+RuleID+'&isActive='+isActive,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}


function ajaxGetRulesForm(RuleID,container) {
    $(container).fadeOut(200)
    $.ajax({
	type : 'POST',
	url : '/ajaxCb.php',
	data: 'action=getRulesForm&ID='+RuleID,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxImportRules(container) {
    $(container).fadeOut(200)
    $.ajax({
	type : 'POST',
	url : '/ajaxCb.php',
	data: 'action=importRules',
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxGetIdentInfo(Ident,container) {
    $(container).fadeOut(200)
    $.ajax({
	type : 'POST',
	url : '/ajaxCb.php',
	data: 'action=getIdentInfo&ID='+Ident,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}
